OWSBM(4)

NAME
owsbm - 1-Wire smart battery monitor device

SYNOPSIS
owsbm* at onewire?

DESCRIPTION
The owsbm driver provides support for the 1-Wire smart battery monitor. The sensor possesses a temperature sensor, an A/D converter for measuring both battery voltage and current, a current accumulator of both incoming and outgoing current, an elapsed time and 40 bytes of nonvolatile EEPROM.

Only the three voltages (VDD, VAD, CR) and temperature are accessible by the sysctl(8) interface.

The following chips are supported by the driver:

•   Maxim/Dallas DS2438

MEASURING CURRENT
The sensor does not measure current directly. Instead it measures the voltage across the Rsens pins.

    I = Voltage CR / Rsens    (where Rsens is in Ohms)

SEE ALSO
intro(4), onewire(4), owtemp(4), sysctl(8)

HISTORY
The owsbm driver first appeared in OpenBSD 4.1.

AUTHORS
-nosplit The owsbm driver was written by Aaron Linville <aaron@linville.org>.